%define name pyvorbis
%define version 1.3
%define release %mkrel 7
%define pyoggversion 1.3

Summary: A wrapper for the Vorbis libraries
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ekyo.nerim.net/software/pyogg/%{name}-%{version}.tar.bz2
#gw from Debian: fix Unicode in VorbisComment, add pyao support to the example
Patch: pyvorbis-1.3-unicode.patch
Patch1: pyvorbis-1.3-python2.5.patch
License: LGPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libvorbis-devel
BuildRequires: libpython-devel
BuildRequires: pyogg >= %pyoggversion
Requires: pyogg >= %pyoggversion
Url: http://ekyo.nerim.net/software/pyogg/index.html

%description
pyvorbis - a Python wrapper for the Ogg/Vorbis library

Ogg/Vorbis is available at http://www.xiph.org

This is the Vorbis module. You will need to download and install the
Python ogg module (available wherever you got this) before you can
build the vorbis module.


%prep
%setup -q
%patch -p1 -b .unicode
%patch1 -p1 -b .python2.5

%build
python config_unix.py
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%py_platsitedir/*


%changelog
* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 1.3-7mdv2007.0
+ Revision: 124857
- fix bug #28202 (crash with python 2.5) with a patch from Ubuntu
- rediff patch 0

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.3-6mdv2007.1
+ Revision: 88143
- Import pyvorbis



* Tue Nov 28 2006 Gtz Waschk <waschk@mandriva.org> 1.3-6mdv2007.1
- update file list

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 1.3-5mdk
- Rebuild

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.3-4mdk
- Rebuild for new python

* Fri Sep  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-3mdk
- fix URL

* Fri Aug  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- new python

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-1mdk
- 1.3
- drop Prefix tag
- rm -rf $RPM_BUILD_ROOT in %%install

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-2mdk
- fix buildrequires

* Fri Feb 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- fix file list
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1-2mdk
- rebuild

* Tue Oct 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1-1mdk
- 1.1

* Tue Jul 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- 1.0
- build in build stage, not in install


* Mon Jul  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- 0.5
- requires pyogg of the same version

* Sat Jun 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- Mandrake adapted
